Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 23 Jul 2014, 10:08
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
mpdPup - Simplified MPD Music Server/Jukebox - v0.9.3
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 4 of 35 [523 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 33, 34, 35 Next
Author Message
clog

Joined: 12 Nov 2012
Posts: 1

PostPosted: Mon 12 Nov 2012, 08:47    Post subject: thank you, thank youi
Subject description: thank you and two questions
 

After weeks of deliberation I bought an Alix 3D2 board to run my MPD server.
I downloaded Voyage Linux and tried to install it om the Alix. Well I'm not a complete newbie in Linux so I supposed it would be an easy job. To my disappointment it was not. Thanks to google I found your mdppup.
I must say it was a breeze to install and within half an hour it was running and playing. So thank you very much.

If you don't mind I seize the opportunity to ask you something.
The wizard puts "iocharset=utf8" on the fstab line that mounts my NAS. when I do mount -a that gives me this error "mount: Can not access a needed shared library". When I remove the iocharset item it mounts ok. Is this a problem ?

The Alix has no hwclock. So I wanted to install an ntp server to adjust the time at bootup. To install software I tried ppm but that gave me a bunch of errors.
Is there a CLI sw installer.
Back to top
View user's profile Send private message 
ldolse

Joined: 23 Oct 2009
Posts: 366

PostPosted: Mon 12 Nov 2012, 13:17    Post subject:  

clog wrote:
After weeks of deliberation I bought an Alix 3D2 board to run my MPD server.
I downloaded Voyage Linux and tried to install it om the Alix. Well I'm not a complete newbie in Linux so I supposed it would be an easy job. To my disappointment it was not. Thanks to google I found your mdppup.
I must say it was a breeze to install and within half an hour it was running and playing. So thank you very much.

If you don't mind I seize the opportunity to ask you something.
The wizard puts "iocharset=utf8" on the fstab line that mounts my NAS. when I do mount -a that gives me this error "mount: Can not access a needed shared library". When I remove the iocharset item it mounts ok. Is this a problem ?

The Alix has no hwclock. So I wanted to install an ntp server to adjust the time at bootup. To install software I tried ppm but that gave me a bunch of errors.
Is there a CLI sw installer.

You can remove iocharset=utf8 - in very rare cases it has caused me problems too, but it doesn't always occur, so not reliably reproducible. I have a fair amount of non-ascii content and it works correctly when I use UTF-8 - for most users it would probably would work without it though, so feel free to delete it. Ideally I want the system to work equally well for non-english users, which is why I set UTF-8.

Regarding ppm/ntp, unfortunately ppm is designed to only work with XWindows, on the 3d2 there isn't any way to get it to work except via a remote X session. Odds are it would be easier to either a) compile the package yourself, or b) download the ntp package manually and extract/install it. The deb2pet script which is included with mpdPup can help you convert it to a more Puppy friendly package, but once you've converted it you still need to install it. After running deb2pet use this command to install
Code:
/usr/local/petget/installpkg.sh $FILE_NAME
where $FILE_NAME is the name of the pet package.
Back to top
View user's profile Send private message 
luisb

Joined: 30 Sep 2012
Posts: 25

PostPosted: Mon 12 Nov 2012, 19:35    Post subject:  

Hi Idolse
Thanks for the new version, very easy to configure. Wireless network works very well. The only problem is that v0.9.3 doesn't recognize ethernet anymore, just wireless. Got back to v0.9.2 and everything is correct. Any idea how can i fix it?
Regards
Back to top
View user's profile Send private message 
ldolse

Joined: 23 Oct 2009
Posts: 366

PostPosted: Mon 12 Nov 2012, 20:11    Post subject:  

luisb wrote:
Hi Idolse
Thanks for the new version, very easy to configure. Wireless network works very well. The only problem is that v0.9.3 doesn't recognize ethernet anymore, just wireless. Got back to v0.9.2 and everything is correct. Any idea how can i fix it?
Regards
Hi Luis, without knowing what type of hardware you have I don't have any idea how you might be able to fix it. Let me know the specific hardware model you have and preferably what network chipset and I can look into it.

To debug it go to the network wizard and check what driver it's reporting to use. You can use the 'load modules' button to try to change the driver. Finally you can get the output of 'dmesg' and attach it here as a text file.


@wlowes, thanks for the feedback, glad it's working well for you!
Back to top
View user's profile Send private message 
luisb

Joined: 30 Sep 2012
Posts: 25

PostPosted: Tue 13 Nov 2012, 14:09    Post subject:  

I had an useless Acer aspire one A110 modded with a 30 Gb SSD, 1.5 Gb ram and a Intel(R) Wireless WiFi Link AGN card. I install mpdpup there. Drivers for ethernet in windows are from realtek. As server i use Asus eeepc with windows 7. Just an experiment before getting a more powerfull server. Idolse you have a pm of the dmesg output
Back to top
View user's profile Send private message 
jrling

Joined: 27 Jun 2012
Posts: 47

PostPosted: Tue 13 Nov 2012, 15:33    Post subject:
Subject description: Realtek Ethernet Driver Issue
 

luisb - I am trying to get 0.9.3 running on my Fit-PC2 which has a Realtek RTL8111D GbE Controller and like you the ethernet is not recognised by the wizard. Manually trying connect2router gives 'Bad Address Expected'. The wireless card does show in ifconfig -a but is not offered to be configuredby the wizard (but I don't want to use wireless).

I had similar difficulty with 0.9.2 on my FIT-PC2. I am assuming the Realtek 8111D driver is not in either release?

idolse - Realtek site does offer a Linux driver for that ethernet card. I can email it to you if you think it can be included in 0.9.3 release?

Jonathan

luisb wrote:
I had an useless Acer aspire one A110 modded with a 30 Gb SSD, 1.5 Gb ram and a Intel(R) Wireless WiFi Link AGN card. I install mpdpup there. Drivers for ethernet in windows are from realtek. As server i use Asus eeepc with windows 7. Just an experiment before getting a more powerfull server. Idolse you have a pm of the dmesg output
Back to top
View user's profile Send private message 
jrling

Joined: 27 Jun 2012
Posts: 47

PostPosted: Tue 13 Nov 2012, 15:39    Post subject:
Subject description: Great Sound!
 

Hi Walter - good to hear that you also found an improvement in SQ. I am using your recommended settings and currently SRC Highest quality upsampling to 176,400 to great effect.

I wonder what is giving the improvement in SQ in 0.9.3? It could be support for MPD 0.17.2 which I chose but I kept everything else the same.

Jonathan

wlowes wrote:
Idolse

Thank you for a fabulous upgrade!

Just saw it this afternoon and got it running on my Alix/WaveIO/tda1541a system. Really nice improvement in sound. As others have commented, darker quieter background. Generally more air and a more natural real sound across the spectrum. Lots more micro details. Very nice! I am even more motivated to get my tube amps finished to bring out all that this is capable system is capable of delivering.

Thank you for your hard work. This is a real treat for this system
Walter
Back to top
View user's profile Send private message 
ldolse

Joined: 23 Oct 2009
Posts: 366

PostPosted: Tue 13 Nov 2012, 17:11    Post subject:  

Actually it's a good thing that it's Realtek - that's actually fixed fairly easily on the Aspire, as I compiled new Realtek drivers based on a different Realtek problem report in 0.9.2. Unfortunately it sounds like I made things worse. (was worried it was still an eeePC, and there was no reason for that to break)

What I did was compile the latest version of the 8111D driver, r8168 8.034.00, based on problem reports in 0.9.2. The fact that it doesn't work on the Fit-PC seems to indicate the new driver still doesn't work right. The 0.9.2 driver was more generic, and apparently was still working with the Acer Aspire. Realtek has a different driver altogether for the Acer Aspire (r8101) which isn't bundled, so that should be solvable. I'll read up on the Fit-PC2, as it should have worked.

It's good timing as I'm finalizing bug fixes mentioned in the thread thus far, I'll vet these with you both over PM and once working I'll release a new version.
Back to top
View user's profile Send private message 
wa4htz

Joined: 12 Nov 2012
Posts: 3

PostPosted: Wed 14 Nov 2012, 14:25    Post subject: Upgrade didn't work for me  

Hi all. My first post here but I've been lurking for several weeks now. First of all, I would like to thank idolse for all the work in creating and supporting mpdpup. This is exactly what I was looking for as a music server.

I read all of the 0.9.2 thread several times and downloaded and installed it to a USB Flash drive. Got it configured and started loading music files to an internal 500 Gb hard drive. Then I saw the announcement about the release of 0.9.3 and read tthis thread. I downloaded it and tried to upgrade following the instructions (I think) in the first post. Now the flash drive won't boot. Here's what I did:

Downloaded the iso and used unetbootin to install it to another flash drive. I booted the system with the 0.9.2 flash drive and then inserted and mounted the 0.9.3 flash drive. I removed the 0.9.2 sfs file and the pupsave file. Then I copied the 0.9.3 sfs to the boot flash drive (showed up as /mnt/home), unmounted the 0.9.3 flash drive, removed it, and rebooted. When it came up, it still showed the 0.9.2 splash screen and when it tried to search for puppy files it said it couldn't find the 0.9.2 sfs file (which, of course, wasn't there anymore). Then it quit the boot process and gave what looks like a command prompt but it doesn't know any commands.

What did I do wrong? Do I need to copy more files to the boot flash drive (it still has all of the other files from the 0.9.2 release)?

Thanks in advance for any help.

Ken
Back to top
View user's profile Send private message 
ldolse

Joined: 23 Oct 2009
Posts: 366

PostPosted: Wed 14 Nov 2012, 19:10    Post subject: Re: Upgrade didn't work for me  

wa4htz wrote:
Downloaded the iso and used unetbootin to install it to another flash drive. I booted the system with the 0.9.2 flash drive and then inserted and mounted the 0.9.3 flash drive. I removed the 0.9.2 sfs file and the pupsave file. Then I copied the 0.9.3 sfs to the boot flash drive (showed up as /mnt/home), unmounted the 0.9.3 flash drive, removed it, and rebooted. When it came up, it still showed the 0.9.2 splash screen and when it tried to search for puppy files it said it couldn't find the 0.9.2 sfs file (which, of course, wasn't there anymore). Then it quit the boot process and gave what looks like a command prompt but it doesn't know any commands.

What did I do wrong? Do I need to copy more files to the boot flash drive (it still has all of the other files from the 0.9.2 release)?

Thanks in advance for any help.

Ken
Hi wa4htz, thanks for trying things out. I guess I need to make those instructions more clear - I meant for those upgrade instructions to be followed from a Mac or Windows machine. Both operating systems generally provide multiple options for looking inside an ISO.

If you do it from within Linux while booted to 0.9.2 bad things can happen, as you discovered - this is because the save file and .sfs file are locked by the system (since you booted from them), and they can't actually be properly deleted. At some point I want to explore this more fully with other Puppy Linux developers to see if there is any way around that limitation, but that's what needs to happen for now.

Odds are you can still fix the 0.9.2 flash drive from Windows, you'll probably see that the files are still there, just delete them and empty the recycle bin, then re-copy the 0.9.3 files.

If that doesn't fix the 0.9.2 drive there are ways to use the new 0.9.3 flash drive too. If you never used albumbler or mpd-sima you could also just copy the 'mpd' folder from 0.9.2 to the new 0.9.3 flash drive. albumbler and mpd-sima's data are in a hidden folder on the thumb drive, which you could also move that if you make hidden folders visible, I just thought it over-complicated the instructions to do it that way.
Back to top
View user's profile Send private message 
wa4htz

Joined: 12 Nov 2012
Posts: 3

PostPosted: Wed 14 Nov 2012, 21:48    Post subject: Re: Upgrade didn't work for me  

Hi idolse. Thanks for your prompt reply. Companies with software to sell could take a lesson from you in customer support! I actually deleted the 0.9.2 sfs and pupsave file with win XP but copied the 0.9.3 sfs file in Linux. I kind of suspected I could just copy the mpd directory to the 0.9.3 file set but wasn't sure. Thanks so much for your help. I'll give it a try. No, I don't use the "smart" playlist things; I like to make my playlists to contain the selections I want.

Thanks again for your help.

Ken
Back to top
View user's profile Send private message 
wa4htz

Joined: 12 Nov 2012
Posts: 3

PostPosted: Thu 15 Nov 2012, 16:36    Post subject: A quick update  

I took the flash drive I had created with unetbootin for 0.9.3 and copied the mpd directory from my 0.9.2 drive to it. This worked great! It booted and after going through the configuration, the music files and playlists I had previously created were all there.

This might actually be a more straightforward and clean way to upgrade. Since you have to go through the configuration again anyway, just copying the existing mpd and .local directories to the upgrade instal may be more simple than extracting the sfs from the iso. This, of course, is IMHO.

I do have one other question. In the first post it says the URL for cover art is http://tunes.local/musiclibrary. Is the "musiclibrary" the actual name you root music directory must be or is it like a variable which should be replaced with the real path to your music? For example, my music is on an internal hard drive mounted as /mnt/music. What is the correct way to specify the path to the cover art. (I hope that makes sense. I'm not really sure how to word what I'm asking.)

Thanks again for all the help and a great puppy derivative.

Ken
Back to top
View user's profile Send private message 
ldolse

Joined: 23 Oct 2009
Posts: 366

PostPosted: Thu 15 Nov 2012, 18:24    Post subject: Re: A quick update  

wa4htz wrote:
I took the flash drive I had created with unetbootin for 0.9.3 and copied the mpd directory from my 0.9.2 drive to it. This worked great! It booted and after going through the configuration, the music files and playlists I had previously created were all there.

This might actually be a more straightforward and clean way to upgrade. Since you have to go through the configuration again anyway, just copying the existing mpd and .local directories to the upgrade instal may be more simple than extracting the sfs from the iso. This, of course, is IMHO.
Hi Ken, Glad you got it working. I'll document both options more fully so that people understand the system. I generally do it the other way just so I can re-use the original flash device, but either method is fully workable.

wa4htz wrote:
I do have one other question. In the first post it says the URL for cover art is http://tunes.local/musiclibrary. Is the "musiclibrary" the actual name you root music directory must be or is it like a variable which should be replaced with the real path to your music? For example, my music is on an internal hard drive mounted as /mnt/music. What is the correct way to specify the path to the cover art. (I hope that makes sense. I'm not really sure how to word what I'm asking.)
It's always literallly http://tunes.local/musiclibrary/, regardless of what your actual music folder directory is. That URL maps to /var/www/musiclibrary, and the musiclibrary directory is a symlink to whatever directory you configured via the wizards.
Back to top
View user's profile Send private message 
thisisvv

Joined: 05 Jul 2012
Posts: 14

PostPosted: Mon 19 Nov 2012, 01:15    Post subject: MPD getting Hanged a lot any idea?  

So this was working fine and suddenly nothing changed and last 2-3 days it has been hanging a lot i changed my server and needed to reconfigure so had o make some changes and after that i am unable to save the changes , it keeps on hanging i reformatted the USB drive and put it back but still hanging.

When i say it is hanging i cant browse any files on the phone as well ..it says connected but no file show . I log in to MPD and if i log in to xwindows if the window shows up i some time cant click anywhere then i have to force reboot then the problem resurfaces again

ANy idea?

V
Back to top
View user's profile Send private message 
ldolse

Joined: 23 Oct 2009
Posts: 366

PostPosted: Mon 19 Nov 2012, 05:48    Post subject:  

Hi thisvv, I'm sorry, but I'm having a hard time understanding what you're trying to explain, or whether something changed or not. Without some clearer details my only guess is perhaps a motherboard component flaked out.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 4 of 35 [523 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, ..., 33, 34, 35 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1066s ][ Queries: 13 (0.0065s) ][ GZIP on ]